summaryrefslogtreecommitdiff
path: root/packaging/common
diff options
context:
space:
mode:
authorMatthew Sackman <matthew@rabbitmq.com>2011-04-24 11:11:05 +0100
committerMatthew Sackman <matthew@rabbitmq.com>2011-04-24 11:11:05 +0100
commit20a6f77c16853b469c4bdc363dd1815de0ace08d (patch)
tree3f663e4dd76bccc9895260d0bdd47a8067611a7b /packaging/common
parent17b612db504a3fdb38d3b52c177fe697934d14bb (diff)
downloadrabbitmq-server-git-20a6f77c16853b469c4bdc363dd1815de0ace08d.tar.gz
Rotate logs uses ctl, not server. Also die if ctl doesn't exist or isn't executable
Diffstat (limited to 'packaging/common')
-rw-r--r--packaging/common/rabbitmq-server.init3
1 files changed, 2 insertions, 1 deletions
diff --git a/packaging/common/rabbitmq-server.init b/packaging/common/rabbitmq-server.init
index f3bdc3d2ad..d8a7a94d56 100644
--- a/packaging/common/rabbitmq-server.init
+++ b/packaging/common/rabbitmq-server.init
@@ -28,6 +28,7 @@ INIT_LOG_DIR=/var/log/rabbitmq
LOCK_FILE= # This is filled in when building packages
test -x $DAEMON || exit 0
+test -x $CONTROL || exit 0
RETVAL=0
set -e
@@ -94,7 +95,7 @@ status_rabbitmq() {
rotate_logs_rabbitmq() {
set +e
- $DAEMON rotate_logs ${ROTATE_SUFFIX}
+ $CONTROL rotate_logs ${ROTATE_SUFFIX}
if [ $? != 0 ] ; then
RETVAL=1
fi